org.apache.fop.render

## Class AbstractConfigurator

- java.lang.Object
- - org.apache.fop.render.AbstractConfigurator

    public abstract class AbstractConfigurator
    extends Object

An abstract configurator

### Field Summary

Fields
`protected static org.apache.commons.logging.Log` `log` logger instance
`protected FOUserAgent` `userAgent` fop factory configuration

### Constructor Summary

Constructors
Constructor and Description
`AbstractConfigurator(FOUserAgent userAgent)` Default constructor

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract String` `getType()` Returns the configurator type

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static final org.apache.commons.logging.Log log

logger instance

#### userAgent

    protected FOUserAgent userAgent

fop factory configuration

### Constructor Detail

#### AbstractConfigurator

    public AbstractConfigurator(FOUserAgent userAgent)

Default constructor

Parameters:
  `userAgent` - user agent

### Method Detail

#### getType

    public abstract String getType()

Returns the configurator type

Returns:
  the configurator type